org.eclipse.jdt.core.dom

## Interface IPackageBinding

All Superinterfaces:
  IBinding

    public interface IPackageBinding
    extends IBinding

A package binding represents a named or unnamed package.

Since:
  2.0
Restriction:
  This interface is not intended to be implemented by clients.

### Field Summary

### Fields inherited from interface org.eclipse.jdt.core.dom.IBinding

`ANNOTATION, MEMBER_VALUE_PAIR, METHOD, MODULE, PACKAGE, TYPE, VARIABLE`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getName()` Returns the name of the package represented by this binding.
`String[]` `getNameComponents()` Returns the list of name component making up the name of the package represented by this binding.
`boolean` `isUnnamed()` Returns whether this package is an unnamed package.

### Methods inherited from interface org.eclipse.jdt.core.dom.IBinding

`equals, getAnnotations, getJavaElement, getKey, getKind, getModifiers, isDeprecated, isEqualTo, isRecovered, isSynthetic, toString`

### Method Detail

#### getName

    String getName()

Returns the name of the package represented by this binding. For named packages, this is the fully qualified package name (using "." for separators). For unnamed packages, this is an empty string.

Specified by:
  `getName` in interface `IBinding`
Returns:
  the name of the package represented by this binding, or an empty string for an unnamed package

#### isUnnamed

    boolean isUnnamed()

Returns whether this package is an unnamed package. See The Java Language Specification section 7.4.2 for details.

Returns:
  `true` if this is an unnamed package, and `false` otherwise

#### getNameComponents

    String[] getNameComponents()

Returns the list of name component making up the name of the package represented by this binding. For example, for the package named "com.example.tool", this method returns {"com", "example", "tool"}. Returns the empty list for unnamed packages.

Returns:
  the name of the package represented by this binding, or the empty list for unnamed packages